ownCloud 10.1 and Zimbra Drive integration support (the current Zimbra Drive app does not)


#1

Steps to reproduce

  1. Download Zimbra Drive apps on OwnCloud marketplace.
  2. mv the folder to /var/www/owncloud/apps.
  3. Go to disabled apps to install Zimbra Drive apps.

Expected behaviour

Tell us what should happen
Apps installed.

Actual behaviour

Tell us what happens instead
This app cannot be installed because the following dependencies are not fulfilled:

  • ownCloud 10.0 or lower is required.

Server configuration

Operating system:
Ubuntu 16.04 LTS

Web server:
Apache2

Database:
SQLite

PHP version:
7.0.33

ownCloud version: (see ownCloud admin page)
{“installed”:true,“maintenance”:false,“needsDbUpgrade”:false,“version”:“10.1.0.4”,“versionstring”:“10.1.0”,“edition”:“Community”,“productname”:“ownCloud”}

Updated from an older ownCloud or fresh install:
fresh install

Where did you install ownCloud from:
wget -qO- https://download.owncloud.org/download/repositories/stable/Ubuntu_16.04/Release.key | sudo apt-key add -

Signing status (ownCloud 9.0 and above):
No errors have been found.

The content of config/config.php:
root@x:/home/x# cat /var/www/owncloud/config/config.php

<?php $CONFIG = array ( 'updatechecker' => false, 'instanceid' => 'x', 'passwordsalt' => 'x', 'secret' => 'x', 'trusted_domains' => array ( 0 => 'x.x.x.x', 1 => 'cloud.x.com', ), 'datadirectory' => '/var/www/owncloud/data', 'overwrite.cli.url' => 'https://cloud.x.com', 'htaccess.RewriteBase' => '/', 'dbtype' => 'sqlite3', 'version' => '10.1.0.4', 'logtimezone' => 'UTC', 'installed' => true, ); **List of activated apps:** Default. **Are you using external storage, if yes which one:** local/smb/sftp/... Not that I know of. **Are you using encryption:** yes/no No. **Are you using an external user-backend, if yes which one:** LDAP/ActiveDirectory/Webdav/... No. **I prefer to use ownCloud 10.0 if it is not possible to force Zimbra Drive app installation. I am going to use ownCloud CE with ONLYOFFICE CE and use the services through Zimbra OSE.**

#2

Hey,

if i’m understanding ownCloud core switching to Semver, apps need re-release for 10.1 correctly it seems you need to contact the author of the mentioned app and ask for an update.